[package]
name = "upend"
description = "A user-oriented all-purpose graph database."
version = "0.0.70"
homepage = "https://upend.dev/"
repository = "https://git.thm.place/thm/upend"
authors = ["Tomáš Mládek <t@mldk.cz>"]
license = "AGPL-3.0-or-later"
edition = "2018"
build = "build.rs"

[workspace]
members = ["cli"]

[dependencies]
log = "0.4"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }

anyhow = "1.0"
thiserror = "1.0"

rayon = "1.4.0"
num_cpus = "1.13"
futures = "0.3.24"
futures-util = "~0.3.12"
lazy_static = "1.4.0"
once_cell = "1.7.2"
lru = "0.7.0"

diesel = { version = "1.4", features = [
    "sqlite",
    "r2d2",
    "chrono",
    "serde_json",
] }
diesel_migrations = "1.4"
libsqlite3-sys = { version = "^0", features = ["bundled"] }

chrono = { version = "0.4", features = ["serde"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
lexpr = "0.2.6"
regex = "1"

multibase = "0.9"
multihash = { version = "*", default-features = false, features = [
    "alloc",
    "multihash-impl",
    "sha2",
    "identity",
] }
uuid = { version = "0.8", features = ["v4"] }
url = { version = "2", features = ["serde"] }

filebuffer = "0.4.0"
tempfile = "^3.2.0"
walkdir = "2"

rand = "0.8"

tree_magic_mini = "3.0.2"

nonempty = "0.6.0"

shadow-rs = "0.17"

[build-dependencies]
shadow-rs = "0.17"
